/**广告组推广目标类型*/
export enum PromotedObjectType {
  'PROMOTED_OBJECT_TYPE_LINK' = '网页',
  'PROMOTED_OBJECT_TYPE_LINK_WECHAT' = '品牌网页',
  'PROMOTED_OBJECT_TYPE_ECOMMERCE' = '商品推广',
  'PROMOTED_OBJECT_TYPE_APP_ANDROID' = 'Android应用',
  'PROMOTED_OBJECT_TYPE_APP_IOS' = 'IOS应用',
  'PROMOTED_OBJECT_TYPE_APP_ANDROID_MYAPP' = '应用宝推广',
  'PROMOTED_OBJECT_TYPE_APP_ANDROID_UNION' = 'Android应用（优量汇推广）',
  'PROMOTED_OBJECT_TYPE_LOCAL_ADS_WECHAT' = '本地门店',
  'PROMOTED_OBJECT_TYPE_QQ_BROWSER_MINI_PROGRAM' = 'QQ浏览器小程序',
  'PROMOTED_OBJECT_TYPE_QQ_MESSAGE' = 'QQ消息',
  'PROMOTED_OBJECT_TYPE_LEAD_AD' = '销售线索',
}
/**计费类型*/
export enum BillingEventEnum {
  BILLINGEVENT_CLICK = '按点击扣费',
  BILLINGEVENT_APP_DOWNLOAD = '按照应用下载扣费',
  BILLINGEVENT_IMPRESSION = '按曝光扣费',
}

/**广告优化目标类型*/
export enum OptimizationGoalEnum {
  OPTIMIZATIONGOAL_BRAND_CONVERSION = '指定页面曝光',
  OPTIMIZATIONGOAL_FOLLOW = '关注',
  OPTIMIZATIONGOAL_CLICK = '点击',
  OPTIMIZATIONGOAL_IMPRESSION = '曝光',
  OPTIMIZATIONGOAL_APP_DOWNLOAD = '下载',
  OPTIMIZATIONGOAL_APP_ACTIVATE = '激活',
  OPTIMIZATIONGOAL_APP_REGISTER = '注册',
  OPTIMIZATIONGOAL_ONE_DAY_RETENTION = '次日留存',
  OPTIMIZATIONGOAL_APP_PURCHASE = '付费次数，游戏客户如需优化付费行为，建议使用首次付费作为优化目标',
  OPTIMIZATIONGOAL_ECOMMERCE_ORDER = '下单',
  OPTIMIZATIONGOAL_ECOMMERCE_CART = '加入购物车',
  OPTIMIZATIONGOAL_VIEW_COMMODITY_PAGE = '商品详情页浏览',
  OPTIMIZATIONGOAL_ONLINE_CONSULTATION = '在线咨询',
  OPTIMIZATIONGOAL_TELEPHONE_CONSULTATION = '电话拨打',
  OPTIMIZATIONGOAL_PAGE_RESERVATION = '表单预约',
  OPTIMIZATIONGOAL_DELIVERY = '发货',
  OPTIMIZATIONGOAL_MESSAGE_AFTER_FOLLOW = '公众号内发消息',
  OPTIMIZATIONGOAL_CLICK_MENU_AFTER_FOLLOW = '公众号内点击菜单栏',
  OPTIMIZATIONGOAL_LEADS_COLLECT = '综合线索收集',
  OPTIMIZATIONGOAL_FIRST_PURCHASE = '首次付费',
  OPTIMIZATIONGOAL_APPLY = '进件',
  OPTIMIZATIONGOAL_PRE_CREDIT = '预授信',
  OPTIMIZATIONGOAL_CREDIT = '授信',
  OPTIMIZATIONGOAL_WITHDRAW_DEPOSITS = '提现',
  OPTIMIZATIONGOAL_PROMOTION_VIEW_KEY_PAGE = '关键页面访问',
  OPTIMIZATIONGOAL_MOBILE_APP_CREATE_ROLE = '小游戏创角',
  OPTIMIZATIONGOAL_CANVAS_CLICK = '跳转按钮点击',
  OPTIMIZATIONGOAL_PROMOTION_CLAIM_OFFER = '领券',
  OPTIMIZATIONGOAL_ECOMMERCE_ADD_TO_WISHLIST = '商品收藏',
  OPTIMIZATIONGOAL_PAGE_RECEIPT = '签收',
  OPTIMIZATIONGOAL_PAGE_SCAN_CODE = '加企业微信客服',
  OPTIMIZATIONGOAL_SELECT_COURSE = '选课',
  OPTIMIZATIONGOAL_CONFIRM_POTENTIAL_CUSTOMER_PHONE = '电话潜在客户',
  OPTIMIZATIONGOAL_MOBILE_APP_AD_INCOME = '广告变现',
  OPTIMIZATIONGOAL_MOBILE_APP_ACCREDIT = '小游戏授权',
  OPTIMIZATIONGOAL_PURCHASE_MEMBER_CARD = '首次会员购买',
  OPTIMIZATIONGOAL_PAGE_CONFIRM_EFFECTIVE_LEADS = '有效综合线索',
  OPTIMIZATIONGOAL_ADD_DESKTOP = '快应用加桌面',
  OPTIMIZATIONGOAL_RESERVATION = '微信流量预约行为',
  OPTIMIZATIONGOAL_FIRST_ECOMMERCE_ORDER = '首次下单',
  OPTIMIZATIONGOAL_FIRST_TWENTY_FOUR_HOUR_ECOMMERCE_ORDER = '24小时下单',
  OPTIMIZATIONGOAL_LIKE = '点赞',
  OPTIMIZATIONGOAL_EXTERNAL_LINK_CLICK = '外链点击',
  OPTIMIZATIONGOAL_BUY_COUPONS = '购券',
  OPTIMIZATIONGOAL_LEAVE_INFORMATION = '留资',
  OPTIMIZATIONGOAL_CORE_ACTION = '关键行为',
  OPTIMIZATIONGOAL_ONE_DAY_RETENTION_RATIO = '次留率',
  OPTIMIZATIONGOAL_PROMOTION_READ_ARTICLE = '阅读文章',
  OPTIMIZATIONGOAL_RESERVATION_CHECK = '意向表单',
  OPTIMIZATIONGOAL_OPEN_ACCOUNT = '券商开户',
  OPTIMIZATIONGOAL_SEVEN_DAY_ECOMMERCE_ORDER = '7日下单',
}

/**性别枚举*/
export enum GenderEnum {
  MALE = '男性',
  FEMALE = '女性',
}
/**用户学历*/
export enum EducationEnum {
  DOCTOR = '博士',
  MASTER = '硕士',
  BACHELOR = '本科',
  SENIOR = '高中',
  JUNIOR = '初中',
  PRIMARY = '小学',
  JUNIOR_COLLEGE = '专科',
}
/**广告版位*/
export enum SiteSetEnum {
  SITE_SET_MOMENTS = '微信朋友圈',
  SITE_SET_MINI_GAME_WECHAT = '微信小游戏',
}
/**出价方式*/
export enum BidModeEnum {
  BID_MODE_OCPM = 'oCPM',
  BID_MODE_CPM = 'CPM',
  BID_MODE_CPC = 'CPC',
  BID_MODE_CPA = 'CPA',
  BID_MODE_OCPC = 'oCPC',
}
/**出价策略*/
export enum BidStrategyEnum {
  BID_STRATEGY_AVERAGE_COST = '稳定拿量',
  BID_STRATEGY_TARGET_COST = '优先拿量',
//   BID_STRATEGY_PRIORITY_LOW_COST = '优先低成本',
  BID_STRATEGY_PRIORITY_CAP_COST = '控制成本上限',
}
